petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMInterpolationRestoreVector

Returns a Vec which can hold all the interpolated field values

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationRestoreVector(DMInterpolationInfo ctx, Vec *v)

Collective on ctx

### Input Parameters

| ctx | - the context
| v | - a vector capable of holding the interpolated field values

### See Also

DMInterpolationGetVector(), DMInterpolationEvaluate(), DMInterpolationAddPoints(), DMInterpolationCreate()

### Level

intermediate

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages